/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    album_environment.h
 * @brief   AlbumEnvironment class declaration.
 * @date    2008
 *
 */

#ifndef _ALBUM_ENVIRONMENT_H_
#define _ALBUM_ENVIRONMENT_H_

#include "environment.h"

/**
 * @brief Album environment.
 *
 * Album environment - this environment is a simple album from images located
 * in user's file system. Reference object (cannot be copied).
 */
class AlbumEnvironment: public Environment
{
	private:

		// Disable copy constructor and assignment operator
		AlbumEnvironment(const AlbumEnvironment &);
		AlbumEnvironment & operator=(const AlbumEnvironment &);

	public:

		/**
		 * @brief Default constructor.
		 */
		AlbumEnvironment();

		/**
		 * @brief Destructor.
		 */
		~AlbumEnvironment();

		// Override
		virtual void timeUpdate(float dt);
};

#endif

