/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    basic_play_box_graphics.h
 * @brief   BasicPlayBoxGraphics class declaration.
 * @date    2008
 *
 */

#ifndef _BASIC_PLAY_BOX_GRAPHICS_H_
#define _BASIC_PLAY_BOX_GRAPHICS_H_

#include "play_box_graphics.h"

/**
 * @brief Basic play box graphics.
 *
 * Reference object (cannot be copied).
 */
class BasicPlayBoxGraphics: public PlayBoxGraphics
{
	private:

		// Disable copy constructor and assignment operator
		BasicPlayBoxGraphics(const BasicPlayBoxGraphics &);
		BasicPlayBoxGraphics & operator=(const BasicPlayBoxGraphics &);

		// override
		virtual SoGroup* createWalls();

		// override
		virtual SoGroup* createBackWall();

	public:

		/**
		 * @brief Default constructor.
		 */
		BasicPlayBoxGraphics();

		/**
		 * @brief Destructor.
		 */
		virtual ~BasicPlayBoxGraphics();

		// Override
		virtual void timeUpdate(float dt);
};

#endif
