/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    difficulty_settings.cc
 * @brief   DifficultySettings class definition.
 * @date    2008
 *
 */

#include "difficulty_settings.h"

namespace
{
	// Default values
	const unsigned DEF_NUM_OF_DIFFERENT_BUBBLES = 9;
	const unsigned DEF_NUM_OF_INITIALLY_FILLED_PLATES = 3;
	const float DEF_PROB_CELL_CONTAIN_BUBBLE = 0.5f;
	const float DEF_WALL_SPEED = 0.05f;
}

DifficultySettings::DifficultySettings():
	numOfDifferentBubbles(DEF_NUM_OF_DIFFERENT_BUBBLES),
	numOfInitiallyFilledPlates(DEF_NUM_OF_INITIALLY_FILLED_PLATES),
	probCellContainBubble(DEF_PROB_CELL_CONTAIN_BUBBLE),
	wallSpeed(DEF_WALL_SPEED)
{
}

DifficultySettings::~DifficultySettings()
{
}
