/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    environment.h
 * @brief   Environment class declaration.
 * @date    2008
 *
 */

#ifndef _ENVIRONMENT_H_
#define _ENVIRONMENT_H_

#include "graphical_node.h"
#include "time_updateable.h"

/**
 * @brief Game environment (abstract class).
 *
 * Reference object (cannot be copied).
 */
class Environment: public TimeUpdateable, public GraphicalNode
{
	private:

		// Disable copy constructor and assignment operator
		Environment(const Environment &);
		Environment & operator=(const Environment &);

	public:

		/**
		 * @brief Default constructor.
		 */
		Environment();

		/**
		 * @brief Destructor.
		 */
		virtual ~Environment();
};

#endif
