/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    main_menu.cc
 * @brief   MainMenu class definition.
 * @date    2008
 *
 */

#include <qapplication.h>

#include "main_menu.h"

using namespace GUI;

MainMenu::MainMenu(QWidget *parent, const char *name):
	QMenuBar(parent, name)
{
	// Two popmenus
	QPopupMenu *game = new QPopupMenu(this);
	QPopupMenu *help = new QPopupMenu(this);

	// Game menu
	game->insertItem("&New", parent, SLOT(showGameNew()), CTRL+Key_N);
	game->insertItem("&Quit", qApp, SLOT(quit()), CTRL+Key_Q);
	insertItem("&Game", game);

	// Help menu
	help->insertItem("&Game rules", parent, SLOT(showHelpRules()), CTRL+Key_R);
	help->insertItem("&About", parent, SLOT(showHelpAbout()), CTRL+Key_A);
	insertItem("&Help", help);

	setFrameStyle(QFrame::NoFrame);
}
