/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    main_menu.h
 * @brief   MainMenu class declaration.
 * @date    2008
 *
 */

#ifndef _GUI__MAIN_MENU_H
#define _GUI__MAIN_MENU_H

#include <qmenubar.h>

/**
 * @brief Graphical user interface.
 */
namespace GUI
{
	class MainMenu;
}

/**
 * @brief Main menu.
 *
 * Creates GUI menu.
 */
class GUI::MainMenu: public QMenuBar
{
	public:

		/**
		 * @brief Default constructor.
		 *
		 * @param[in]  parent The parent widget
		 * @param[in]  name   The name of the new created widget
		 */
		MainMenu(QWidget *parent = 0, const char *name = 0);
};

#endif
