/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    main.cc
 * @brief   main() function definition.
 * @date    2008
 *
 */

#include <cstdlib>
#include <ctime>

#include <qapplication.h>

#include "gui/main_window.h"

namespace
{
	// Main windows coordinates and sizes
	const int MAIN_WINDOW_X = 100;
	const int MAIN_WINDOW_Y = 100;
	const int MAIN_WINDOW_WIDTH = 650;
	const int MAIN_WINDOW_HEIGHT = 650;
}

int main(int argc, char **argv)
{
	// Initialize the random number generator
	std::srand(std::time(0));

	// Every Qt application have exactly one instance (object) of
	// the QApplication class. It's created first. Arguments are filtered by Qt
	QApplication app(argc, argv);

	// Create the whole application window (menus, render window, etc ...)
	GUI::MainWindow mainWindow;
	mainWindow.setGeometry(MAIN_WINDOW_X, MAIN_WINDOW_Y,
		MAIN_WINDOW_WIDTH, MAIN_WINDOW_HEIGHT);

	// Put the application window in QAppliaction
	app.setMainWidget(&mainWindow);

	// Show everything
	mainWindow.show();

	// Pass execution flow to Qt
	return app.exec();
}
