/**
 *  Project:  PGR 2008
 *  Authors:  Ondrej Lengal,   xlenga00@stud.fit.vutbr.cz
 *            Libor Polcak,    xpolca03@stud.fit.vutbr.cz
 *            Boris Prochazka, xproch63@stud.fit.vutbr.cz
 *            Petr Zemek,      xzemek02@stud.fit.vutbr.cz
 *
 * @file    space_environment.h
 * @brief   SpaceEnvironment class declaration.
 * @date    2008
 *
 */

#ifndef _SPACE_ENVIRONMENT_H_
#define _SPACE_ENVIRONMENT_H_

#include "environment.h"

/**
 * @brief Space game environment.
 *
 * Reference object (cannot be copied).
 */
class SpaceEnvironment: public Environment
{
	private:

		// Disable copy constructor and assignment operator
		SpaceEnvironment(const SpaceEnvironment &);
		SpaceEnvironment & operator=(const SpaceEnvironment &);

	public:

		/**
		 * @brief Default constructor.
		 */
		SpaceEnvironment();

		/**
		 * @brief Destructor.
		 */
		~SpaceEnvironment();

		// Override
		virtual void timeUpdate(float dt);
};

#endif
